# Get weblinks metadata

`GET https://api.parklio.com/v2/weblinks/metadata`

This endpoint allows the user to get weblinks metadata.

**Auth:** none (public)

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `token` | string | no |  |

## Responses

### 200

```json
{
  "success": true,
  "meta": {
    "total": 100,
    "per_page": 10,
    "current_page": 1,
    "last_page": 1,
    "first_page": 1,
    "first_page_url": "/?page=2",
    "last_page_url": "/?page=10",
    "next_page_url": "/?page=3",
    "previous_page_url": "/?page=1"
  },
  "data": [
    {
      "id": 0,
      "product_id": 0,
      "sender_id": 0,
      "operation_token_id": 0,
      "receiver_identifier": "jane.doe@example.com",
      "receiver_identifier_type": "email",
      "deleted_at": null,
      "created_at": "2026-01-15T09:30:00.000Z",
      "updated_at": "2026-01-15T09:30:00.000Z",
      "product": {
        "id": 1,
        "device_id": "B123456",
        "name": "Barrier 1",
        "lot_id": 3,
        "zone_id": 2,
        "power_type": "battery",
        "product_type_id": 1,
        "hardware_version": "1.0.0",
        "firmware_version": "2.3.1",
        "latitude": 43.52652359,
        "longitude": 16.450813293,
        "status": "online",
        "advertisement_data": "string",
        "battery_status": 87,
        "product_error_id": null,
        "rssi": -88,
        "created_at": "2026-01-15T09:30:00.000Z",
        "updated_at": "2026-01-15T09:30:00.000Z"
      },
      "sender": {
        "id": 1,
        "account_user_role_id": 2,
        "account_id": 5,
        "email": "john.doe@example.com",
        "name": "John Doe",
        "phone": "+385 555 5555",
        "email_confirmed": 1,
        "created_at": "2026-01-15T09:30:00.000Z",
        "updated_at": "2026-01-15T09:30:00.000Z"
      }
    }
  ]
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User is trying to use a product weblink that has expired or has a wrong signature. User should request a new product weblink.

```json
{
  "success": false,
  "errors": [
    {
      "code": 212,
      "message": "Product weblink not valid."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

